%global momorel 3
%global yname yafaray

Summary: A free open-source raytracing render engine
Name: YafaRay
Version: 0.1.1
Release: %{momorel}m%{?dist}
License: LGPLv2+
URL: http://www.yafray.org/
Group: Applications/Multimedia
Source0: http://static.yafaray.org/sources/%{name}.%{version}.zip
Source1: http://static.yafaray.org/sources/%{name}-blender.%{version}.zip
NoSource: 0
NoSource: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: OpenEXR-devel >= 2.2.0
BuildRequires: ilmbase-devel >= 2.2.0
BuildRequires: libjpeg-devel >= 8a
BuildRequires: scons >= 1.2.0
BuildRequires: zlib-devel
Obsoletes:      yafray < %{version}

%description
YafRay is a graphic raytracer to render 3D models.

%package blender
Summary: Blender integration scripts
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: blender

%description blender
YafRay uses a python-coded settings interface to set 
lighting and rendering parameters. This settings interface 
is launched by an entry automatically added to the Blender Render menu.

%prep
%setup -q -n %{yname}
%setup -q -D -T -a 1 -n %{yname}

sed -i -e"s,/lib',/%{_lib}',g" config/linux2-config.py
sed -i -e"s,/lib/,/%{_lib}/,g" config/linux2-config.py

%if %{with qt}
sed -i -e"s,WITH_YF_QT='false',WITH_YF_QT='true',g" config/linux2-config.py
%endif

cat << EOF >> config/linux2-config.py
YF_QTDIR = '%{_libdir}/qt4'
# unversioned SO is correct by itself when the said shared object is
# meant to be dlopen at runtime, instead of being linked at build time.
#YF_SHLINKFLAGS = "-Wl,-soname,libyafaraycore.so.1"
EOF
sed -i -e"s|REL_CCFLAGS = '-O3 -ffast-math'|REL_CCFLAGS = '-ffast-math -fPIC -std=gnu++98 %{optflags}'|g" config/linux2-config.py
# fixes %%{buildroot} in libyafaraycore.so
sed -i -e"s,\$YF_LIBOUT,%{_libdir},g" tools/writeconfig.py
sed -i -e"s,\$YF_PLUGINPATH,%{_libdir}/%{yname},g" tools/writeconfig.py

%build
scons build
scons swig 

%install
scons PREFIX=%{buildroot}%{_prefix} install

mkdir -p %{buildroot}%{_datadir}/blender/scripts
mkdir -p %{buildroot}%{python_sitearch}

pushd %{_builddir}/%{yname}
cp -p bindings/python/yaf*.py \
      %{buildroot}%{_datadir}/blender/scripts
cp -p bindings/python/_yaf*.so \
      %{buildroot}%{python_sitearch}
cp -p %{yname}-blender/yaf*.py \
      %{buildroot}%{_datadir}/blender/scripts
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc CODING LICENSE INSTALL
%{_bindir}/%{yname}-xml
%{_libdir}/%{yname}/*.so
%{_libdir}/libyafaraycore.so

%files blender
%defattr(-, root, root)
%{_datadir}/blender/scripts/*
%{?with_qt:%{_libdir}/libyafarayqt.so}
%{_libdir}/libyafarayplugin.so
%{python_sitearch}/_yaf*.so

%changelog
* Sun Jun  4 2017 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-3m)
- fix build by gcc7

* Fri Sep 04 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.1-2m)
- update 1.1

* Mon Dec 31 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.1-1m)
- renamed from yafray to YafaRay
- rebuild against ilmbase-1.0.3, OpenEXR-1.7.1

* Tue Sep  4 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0.9-17m)
- change Source0 URI

* Sat Aug 20 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.9-16m)
- fix build failure; add patch for linux 3.0

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.9-15m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.9-14m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.9-13m)
- full rebuild for mo7 release

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.9-12m)
- rebuild against libjpeg-8a

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.9-11m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Sep 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.9-10m)
- apply glibc210 patch

* Sat Sep 12 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.0.9-9m)
- rebuild against libjpeg-7

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.9-8m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.9-7m)
- rebuild against scons-1.2.0
-- use system scons instead of scons-local
- License: LGPLv2+

* Sun Apr 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.9-6m)
- use scons-local-0.97 for the moment
- release a directory owned by filesystem

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.9-5m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.9-4m)
- rebuild against OpenEXR-1.6.1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.9-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.9-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.9-1m)
- initial package for k3d-0.6.6.0
- package style is imported from cooker
